## mysql-connector-python 9.1.0

=== mysql-connector-python/tests/requirements.txt ===
dnspython==2.6.1
gssapi==1.8.3

## mysql-connector-python 0.3.2

=== debian/changelog ===
mysql-connector-python (0.3.2-1) unstable; urgency=low

  * Initial release (Closes: #650809)

 -- Sandro Tosi <morph@debian.org>  Sat, 03 Dec 2011 15:08:34 +0100

=== debian/control ===
Source: mysql-connector-python
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Sandro Tosi <morph@debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all, python-support
Standards-Version: 3.9.2
X-Python-Version: all
Homepage: http://launchpad.net/myconnpy
Vcs-Svn: svn://svn.debian.org/svn/python-modules/packages/mysql-connector-python/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/python-modules/packages/mysql-connector-python/trunk/

Package: python-mysql.connector
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: pure Python implementation of MySQL Client/Server protocol
 MySQL driver written in Python which does not depend on MySQL C client
 libraries and implements the DB API v2.0 specification (PEP-249).
 .
 MySQL Connector/Python is implementing the MySQL Client/Server protocol
 completely in Python. This means you don't have to compile anything or MySQL
 (client library) doesn't even have to be installed on the machine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

override_dh_installexamples:
	dh_installexamples python2/examples/*

=== debian/watch ===
version=3
https://launchpad.net/myconnpy/+download \
    http://launchpad.net/myconnpy/.*/mysql-connector-python-(.*)-devel.tar.gz

## mysql-connector-python 1.1.6

=== debian/changelog ===
mysql-connector-python (1.1.6-1) unstable; urgency=medium

  * New upstream release
  * debian/control
    - add proper Replaces/Breaks on mysql-utilities, now they share the same
      namespace with dh_python2; thanks to Laurent Bigonville for the report and
      to Dmitry Smirnov for the work on mysql-utilities; Closes: #739488

 -- Sandro Tosi <morph@debian.org>  Sun, 09 Mar 2014 18:15:36 +0100

mysql-connector-python (1.1.5-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Sandro Tosi ]
  * New upstream release
  * debian/watch
    - updated to reflect upstream website changes
  * debian/copyright
    - fix license, it's only GPLv2
    - update upstream copyright years
    - extend packaging copyright years
    - add reference to local GPL-2 file for packaging copyright notice
  * debian/control
    - switch me to Maintainer (team to Uploaders)
    - bump Standards-Version to 3.9.5 (no changes needed)
  * debian/rules
    - Disable test execution, currently broken upstream - see 739189
  * Switch to dh_python2

 -- Sandro Tosi <morph@debian.org>  Tue, 18 Feb 2014 16:26:46 +0100

mysql-connector-python (1.0.9-1) experimental; urgency=low

  * New upstream release
  * debian/copyright
    - updated upstream copyright years

 -- Sandro Tosi <morph@debian.org>  Mon, 15 Apr 2013 00:05:40 +0200

mysql-connector-python (1.0.8-1) experimental; urgency=low

  * New upstream release (GA)
  * debian/watch
    - finally forged a watch file that can scan upstream webpage and is able to
      download updated tarballs
  * debian/rules
    - run unittests for IPv6 too
  * debian/copyright
    - use the correct format for machine-parsable copyright file
    - extended packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 05 Jan 2013 22:31:26 +0100

mysql-connector-python (1.0.7-2) experimental; urgency=low

  * debian/{control, rules}
    - run tests at build-time (requires a MySQL server)
  * debian/rules
    - install *.py only as examples

 -- Sandro Tosi <morph@debian.org>  Mon, 29 Oct 2012 00:17:45 +0100

mysql-connector-python (1.0.7-1) experimental; urgency=low

  * New upstream release (GA)
  * debian/copyright
    - extend both upstream and packaging copyright years
    - update FLOSS exception comment
  * debian/{control, copyright}
    - update Homepage and Source fields to point to Oracle pages
  * debian/rules
    - install examples for both py2 and py3 packages
    - install documentation in all binary packages

 -- Sandro Tosi <morph@debian.org>  Sun, 28 Oct 2012 16:40:02 +0100

mysql-connector-python (0.3.2-2) experimental; urgency=low

  * debian/{control, rules}
    - provide Python 3 package
  * debian/control
    - bump Standards-Version to 3.9.3 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 27 Aug 2012 23:00:41 +0200

=== debian/control ===
Source: mysql-connector-python
Section: python
Priority: optional
Maintainer: Sandro Tosi <morph@debian.org>
Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Build-Depends: debhelper (>= 7.0.50~), python-all, dh-python, python3-all, mysql-server
Standards-Version: 3.9.5
X-Python-Version: all
X-Python3-Version: >= 3.1
Homepage: http://dev.mysql.com/doc/connector-python/en/index.html
Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mysql-connector-python/trunk/
Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mysql-connector-python/trunk/

Package: python-mysql.connector
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Replaces: mysql-utilities (<< 1.3.5-2)
Breaks: mysql-utilities (<< 1.3.5-2)
Description: pure Python implementation of MySQL Client/Server protocol
 MySQL driver written in Python which does not depend on MySQL C client
 libraries and implements the DB API v2.0 specification (PEP-249).
 .
 MySQL Connector/Python is implementing the MySQL Client/Server protocol
 completely in Python. This means you don't have to compile anything or MySQL
 (client library) doesn't even have to be installed on the machine.

Package: python3-mysql.connector
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
Description: pure Python implementation of MySQL Client/Server protocol (Python3)
 MySQL driver written in Python which does not depend on MySQL C client
 libraries and implements the DB API v2.0 specification (PEP-249).
 .
 MySQL Connector/Python is implementing the MySQL Client/Server protocol
 completely in Python. This means you don't have to compile anything or MySQL
 (client library) doesn't even have to be installed on the machine.
 .
 This package contains the Python 3 version of mysql.connector.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON2=$(shell pyversions -r)
PYTHON3=$(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_installexamples:
	dh_installexamples -ppython-mysql.connector  python2/examples/*.py
	dh_installexamples -ppython3-mysql.connector python3/examples/*.py

override_dh_install:
	set -e; \
	for python in $(PYTHON2); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python-mysql.connector ; \
	done
	set -e; \
	for python in $(PYTHON3); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-mysql.connector ; \
	done
	dh_install

# Disable test execution, currently broken upstream - see 739189
#override_dh_installdocs:
#	dh_installdocs -A docs/README_DOCS.txt

#override_dh_auto_test:
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	set -e ; \
#	for python in $(PYTHON2) $(PYTHON3); do \
#		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ;\
#		PYTHONPATH=$(CURDIR)/$$LIB $$python unittests.py --with-mysql=/usr/ --mysql-topdir=$(CURDIR)/mysql_myconnpy/ --verbosity=2 --bind-address=:: --host=::1 --stats ; \
#		rm -rf $(CURDIR)/mysql_myconnpy/ ; \
#	done
#endif

## mysql-connector-python 1.2.2

=== debian/changelog ===
mysql-connector-python (1.2.2-1) unstable; urgency=low

  * New upstream release.
  * Django warnings become errors. This has been fixed.
    http://bugs.mysql.com/bug.php?id=71806.

 -- Brian May <bam@debian.org>  Wed, 09 Jul 2014 09:00:14 +1000

## mysql-connector-python 1.2.3

=== debian/changelog ===
mysql-connector-python (1.2.3-2) unstable; urgency=low

  [ Brian May ]
  * debian/patches/fix_last_executed_query.patch
    - fix last_executed_query to return unicode. Closes: #761136

  [ Sandro Tosi ]
  * debian/rules
    - re-enable unittests at build-time (failing, so not blocking build if
      failing); Closes: #739189

 -- Sandro Tosi <morph@debian.org>  Wed, 17 Sep 2014 22:18:14 +0100

mysql-connector-python (1.2.3-1) unstable; urgency=low

  * New upstream version.
  * Compatible with Django 1.7. Closes: #758844.

 -- Brian May <bam@debian.org>  Thu, 04 Sep 2014 13:59:17 +1000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: python
 Priority: optional
 Maintainer: Sandro Tosi <morph@debian.org>
-Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
+ Brian May <bam@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), python-all, dh-python, python3-all, mysql-server
 Standards-Version: 3.9.5
 X-Python-Version: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON2=$(shell pyversions -r)
PYTHON3=$(shell py3versions -r)

%:
	dh $@ --with python2,python3

override_dh_installexamples:
	dh_installexamples -ppython-mysql.connector  python2/examples/*.py
	dh_installexamples -ppython3-mysql.connector python3/examples/*.py

override_dh_install:
	set -e; \
	for python in $(PYTHON2); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python-mysql.connector ; \
	done
	set -e; \
	for python in $(PYTHON3); do \
		$$python setup.py install --install-layout=deb --root $(CURDIR)/debian/python3-mysql.connector ; \
	done
	dh_install

override_dh_installdocs:
	dh_installdocs -A docs/README_DOCS.txt

override_dh_auto_test:
ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	-for python in $(PYTHON2) $(PYTHON3); do \
		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ;\
		mkdir -p $(CURDIR)/mysql_myconnpy/ ; \
		PYTHONPATH=$(CURDIR)/$$LIB $$python unittests.py --with-mysql=/usr/ --mysql-topdir=$(CURDIR)/mysql_myconnpy/ --verbosity=2 --bind-address=:: --host=::1 --stats ; \
		rm -rf $(CURDIR)/mysql_myconnpy/ ; \
	done
endif

## mysql-connector-python 2.0.4

=== debian/changelog ===
mysql-connector-python (2.0.4-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sun, 02 Aug 2015 17:32:23 +0100

mysql-connector-python (2.0.3-1) experimental; urgency=medium

  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - extend upstream copyright years
  * debian/{docs, rules}
    - update doc location
  * debian/rules
    - update examples location
  * debian/control
    - bump Standards-Version to 3.9.6 (no changes needed)
  * debian/{compat, control}
    - bump dh compat level to 9

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Mar 2015 23:25:31 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), python-all, dh-python, python3-all, mysql-server
-Standards-Version: 3.9.5
+Build-Depends: debhelper (>= 9), python-all, dh-python, python3-all, mysql-server
+Standards-Version: 3.9.6
 X-Python-Version: all
 X-Python3-Version: >= 3.1
 Homepage: http://dev.mysql.com/doc/connector-python/en/index.html

=== debian/rules ===
--- 
+++ 
@@ -11,8 +11,7 @@
 	dh $@ --with python2,python3
 
 override_dh_installexamples:
-	dh_installexamples -ppython-mysql.connector  python2/examples/*.py
-	dh_installexamples -ppython3-mysql.connector python3/examples/*.py
+	dh_installexamples -A examples/*.py
 
 override_dh_install:
 	set -e; \
@@ -26,7 +25,7 @@
 	dh_install
 
 override_dh_installdocs:
-	dh_installdocs -A docs/README_DOCS.txt
+	dh_installdocs -A docs/README_DOCS.txt README.txt
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))

## mysql-connector-python 2.1.3

=== debian/changelog ===
mysql-connector-python (2.1.3-1) unstable; urgency=medium

  [ Sandro Tosi ]
  * New upstream release
  * debian/patches/
    - remove, merged upstream
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - bump Standards-Version to 3.9.8 (no changes needed)
    - add pylint to b-d, used by tests

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Sandro Tosi <morph@debian.org>  Fri, 17 Jun 2016 21:08:45 +0100

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 9), python-all, dh-python, python3-all, mysql-server
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9), python-all, dh-python, python3-all, mysql-server, pylint
+Standards-Version: 3.9.8
 X-Python-Version: all
 X-Python3-Version: >= 3.1
 Homepage: http://dev.mysql.com/doc/connector-python/en/index.html
-Vcs-Svn: svn://anonscm.debian.org/python-modules/packages/mysql-connector-python/trunk/
-Vcs-Browser: http://anonscm.debian.org/viewvc/python-modules/packages/mysql-connector-python/trunk/
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mysql-connector-python.git
+Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mysql-connector-python.git
 
 Package: python-mysql.connector
 Architecture: all

## mysql-connector-python 2.1.5

=== debian/changelog ===
mysql-connector-python (2.1.5-1) unstable; urgency=medium

  * New upstream release
    - fixes CVE-2016-5598; Closes: #841677
  * debian/copyright
    - update upstream copyright years
  * debian/control
    - adjust b-d to "default-mysql-server | virtual-mysql-server", for new
      default mysql server provider; Closes: #848291
  * debian/patches/support_alternative_mysqld_implementation.patch
    - support MariaDB versioning schema and search binaries only in directories
      with 'bin' in their name
  * compat level 10

 -- Sandro Tosi <morph@debian.org>  Sat, 17 Dec 2016 19:53:41 -0500

## mysql-connector-python 2.1.6

=== debian/changelog ===
mysql-connector-python (2.1.6-1) unstable; urgency=medium

  * New upstream release
    - fixes CVE-2017-3590; Closes: #861511
  * debian/copyright
    - extend upstream copyright years
    - update packaging copyright years

 -- Sandro Tosi <morph@debian.org>  Sat, 27 May 2017 19:25:45 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 9), python-all, dh-python, python3-all, mysql-server, pylint
+Build-Depends: debhelper (>= 10), python-all, dh-python, python3-all, default-mysql-server | virtual-mysql-server, pylint
 Standards-Version: 3.9.8
 X-Python-Version: all
 X-Python3-Version: >= 3.1

=== debian/watch ===
version=3

# - current_os=26 is the form value when selecting "Platform independent"
# - the download url is mangled to use the MySQL CDN, as you would have been redirected by the browser
# - the matched url is for the GPG key (...) so we need to mangle the filename to download the right file

opts=filenamemangle=s/.*=(.*)/$1/,downloadurlmangle=s/dev.mysql.com\/downloads\/gpg.php\?file=/cdn.mysql.com\/Downloads\/Connector-Python\// \
  http://dev.mysql.com/downloads/connector/python/?os=26 .*mysql-connector-python-([\d.]+)\.tar\.gz

## mysql-connector-python 8.0.11

=== debian/changelog ===
mysql-connector-python (8.0.11-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Use https protocol in Format field
  * d/control: Remove ancient X-Python3-Version field

  [ Sandro Tosi ]
  * New upstream release
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
    - update upstream license notice
  * debian/rules
    - skip running tests
  * debian/control
    - bump Standards-Version to 4.1.4 (no changes needed)
    - add setuptools to b-d

 -- Sandro Tosi <morph@debian.org>  Tue, 12 Jun 2018 18:57:35 -0400

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Sandro Tosi <morph@debian.org>
 Uploaders: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>,
  Brian May <bam@debian.org>
-Build-Depends: debhelper (>= 10), python-all, dh-python, python3-all, default-mysql-server | virtual-mysql-server, pylint
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10), python-all, dh-python, python3-all, default-mysql-server | virtual-mysql-server, pylint, python-setuptools, python3-setuptools
+Standards-Version: 4.1.4
 X-Python-Version: all
-X-Python3-Version: >= 3.1
 Homepage: http://dev.mysql.com/doc/connector-python/en/index.html
-Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/mysql-connector-python.git
-Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/mysql-connector-python.git
+Vcs-Git: https://salsa.debian.org/python-team/modules/mysql-connector-python.git
+Vcs-Browser: https://salsa.debian.org/python-team/modules/mysql-connector-python
 
 Package: python-mysql.connector
 Architecture: all

## mysql-connector-python 8.0.15

=== debian/changelog ===
mysql-connector-python (8.0.15-4) unstable; urgency=medium

  [ Sandro Tosi ]
  * debian/watch
    - update to track new releases after dowload page rewrite
  * orphan

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.

 -- Sandro Tosi <morph@debian.org>  Fri, 01 Mar 2024 21:02:20 -0500

mysql-connector-python (8.0.15-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 10 to 12.

  [ Ondřej Nový ]
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Sandro Tosi ]
  * Use the new Debian Python Team contact name and address
  * debian/copyright
    - extend packaging copyright years
  * debian/control
    - run wrap-and-sort
    - drop X-Python-Version, no longer needed
    - bump Standards-Version to 4.6.0.1 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 01:11:55 -0400

mysql-connector-python (8.0.15-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #937100

 -- Sandro Tosi <morph@debian.org>  Thu, 12 Dec 2019 21:11:15 -0500

mysql-connector-python (8.0.15-1) unstable; urgency=medium

  * New upstream release

 -- Sandro Tosi <morph@debian.org>  Sat, 16 Feb 2019 20:34:54 -0500

mysql-connector-python (8.0.14-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Convert git repository from git-dpm to gbp layout

  [ Sandro Tosi ]
  * New upstream release, fix CVE-2019-2435; Closes: #919820
  * debian/copyright
    - extend packaging copyright years
    - update upstream copyright years
  * debian/patches/support_alternative_mysqld_implementation.patch
    - refresh patch
  * debian/control
    - bump Standards-Version to 4.3.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Jan 2019 21:07:55 -0500

=== debian/control ===
Source: mysql-connector-python
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>,
Build-Depends: debhelper-compat (= 13),
               default-mysql-server | virtual-mysql-server,
               dh-python,
               pylint,
               python3-all,
               python3-setuptools,
Standards-Version: 4.6.0.1
Homepage: https://dev.mysql.com/doc/connector-python/en/index.html
Vcs-Git: https://salsa.debian.org/python-team/packages/mysql-connector-python.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/mysql-connector-python

Package: python3-mysql.connector
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
Description: pure Python implementation of MySQL Client/Server protocol (Python3)
 MySQL driver written in Python which does not depend on MySQL C client
 libraries and implements the DB API v2.0 specification (PEP-249).
 .
 MySQL Connector/Python is implementing the MySQL Client/Server protocol
 completely in Python. This means you don't have to compile anything or MySQL
 (client library) doesn't even have to be installed on the machine.
 .
 This package contains the Python 3 version of mysql.connector.

=== debian/watch ===
version=3

# - current_os=src is the form value when selecting "Platform independent"
# - the download url is mangled to use the MySQL CDN, as you would have been redirected by the browser
# - the matched url is for the GPG key (...) so we need to mangle the filename to download the right file

#opts=filenamemangle=s/.*=(.*)/$1/,downloadurlmangle=s/dev.mysql.com\/downloads\/gpg.php\?file=/cdn.mysql.com\/Downloads\/Connector-Python\// \
  http://dev.mysql.com/downloads/connector/python/?os=src /downloads/gpg/\?file=mysql-connector-python-(.*)-src\.tar\.gz\&p=29

## mysql-connector-python 9.1.0

=== debian/changelog ===
mysql-connector-python (9.1.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2024-21272 (closes: #1085297).

 -- Daniel Leidert <dleidert@debian.org>  Sun, 27 Oct 2024 21:02:57 +0100

mysql-connector-python (9.0.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
    - Fixes CVE-2024-21090 and CVE-2024-21170 (closes: #1077767).
    - Provides compatibility with Python 3.12 (closes: #1076136, #1040290).
  * d/control: Add Rules-Requires-Root.
    (Standards-Version): Bump to 4.7.0.
    (Build-Depends): Add pybuild-plugin-pyproject.
  * d/copyright: Update team and upstream copyright.
  * d/rules: Adjust for new source structure.
    (override_dh_installdocs): Fix target and adjust files.
    (override_dh_installexamples): Fix target adjusting path to examples.
  * d/watch: Re-enable downloadurl- and filenamemangle. Increase version.

 -- Daniel Leidert <dleidert@debian.org>  Fri, 04 Oct 2024 01:21:06 +0200

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,15 @@
 Build-Depends: debhelper-compat (= 13),
                default-mysql-server | virtual-mysql-server,
                dh-python,
+               pybuild-plugin-pyproject,
                pylint,
                python3-all,
                python3-setuptools,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.7.0
 Homepage: https://dev.mysql.com/doc/connector-python/en/index.html
 Vcs-Git: https://salsa.debian.org/python-team/packages/mysql-connector-python.git
 Vcs-Browser: https://salsa.debian.org/python-team/packages/mysql-connector-python
+Rules-Requires-Root: no
 
 Package: python3-mysql.connector
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON3=$(shell py3versions -r)

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_installexamples:
	dh_installexamples -A mysql-connector-python/examples/*.py

override_dh_auto_clean:
	PYBUILD_DIR=mysql-connector-python dh_auto_clean -- --name mysql
	PYBUILD_DIR=mysqlx-connector-python dh_auto_clean -- --name mysqlx

override_dh_auto_build:
	PYBUILD_DIR=mysql-connector-python dh_auto_build -- --name mysql
	PYBUILD_DIR=mysqlx-connector-python dh_auto_build -- --name mysqlx

override_dh_auto_install:
	PYBUILD_DIR=mysql-connector-python dh_auto_install -- --name mysql
	PYBUILD_DIR=mysqlx-connector-python dh_auto_install -- --name mysqlx

override_dh_installdocs:
	dh_installdocs -A README.rst README.txt

override_dh_auto_test:
	echo pass
# dont try to run the test suite anymore: it's becoming more and more
# difficult to maintain compatibility between mysql and mariadb; last straw was
# tha mariadb now requires to run `mysql_install_db` to initialize a new instance, while
# mysql still allows to run `mysqld --bootstrap` to do that; too much time was
# spent to make it possibile to use mariadb but it was ultimately wased
# as now tests/mysqldb.py:bootstrap() should invoke `mysql_install_db` +
# start mysqld on the bootstrapped datadir - this is too much
#ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
#	-for python in $(PYTHON2) $(PYTHON3); do \
#		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ;\
#		mkdir -p $(CURDIR)/mysql_myconnpy/ ; \
#		PYTHONPATH=$(CURDIR)/$$LIB $$python unittests.py --with-mysql=/usr/ --mysql-topdir=$(CURDIR)/mysql_myconnpy/ --verbosity=2 --bind-address=:: --host=::1 --stats ; \
#		rm -rf $(CURDIR)/mysql_myconnpy/ ; \
#	done
#endif

=== debian/watch ===
version=4

# - current_os=src is the form value when selecting "Platform independent"
# - the download url is mangled to use the MySQL CDN, as you would have been redirected by the browser
# - the matched url is for the GPG key (...) so we need to mangle the filename to download the right file

opts=filenamemangle=s#.*file=(.*)\&p=29#$1#,downloadurlmangle=s#.*file=(.*)\&.*#https://cdn.mysql.com/get/Downloads/Connector-Python/$1# \
  https://dev.mysql.com/downloads/connector/python/?os=src /downloads/gpg/\?file=mysql-connector-python-(.*)-src\.tar\.gz\&p=29

## mysql-connector-python 9.2.0

=== debian/changelog ===
mysql-connector-python (9.2.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - CVE-2025-21548 (closes: #1093881).

 -- Colin Watson <cjwatson@debian.org>  Mon, 17 Mar 2025 10:35:30 +0000

=== debian/watch ===
version=4

# - current_os=src is the form value when selecting "Platform independent"
# - the download url is mangled to use the MySQL CDN, as you would have been redirected by the browser
# - the matched url is for the GPG key (...) so we need to mangle the filename to download the right file

opts=filenamemangle=s#.*file=(.*)\&p=29#$1#,downloadurlmangle=s#.*file=(.*)\&.*#https://dev.mysql.com/get/Downloads/Connector-Python/$1# \
  https://dev.mysql.com/downloads/connector/python/?os=src /downloads/gpg/\?file=mysql-connector-python-(.*)-src\.tar\.gz\&p=29

## mysql-connector-python 9.3.0

=== mysqlx-connector-python/tests/requirements.txt ===
protobuf==4.25.3
dnspython==2.6.1
lz4>=2.1.6,<=4.3.2
zstandard>=0.12.0,<=0.19.0

=== mysqlx-connector-python/docs/mysqlx/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help
help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  applehelp  to make an Apple Help Book"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  epub3      to make an epub3"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  coverage   to run coverage check of the documentation (if enabled)"
	@echo "  dummy      to check syntax errors of document sources"

.PHONY: clean
clean:
	rm -rf $(BUILDDIR)/*

.PHONY: html
html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

.PHONY: dirhtml
dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

.PHONY: singlehtml
singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

.PHONY: pickle
pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

.PHONY: json
json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

.PHONY: htmlhelp
htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

.PHONY: qthelp
qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/mysqlx.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/mysqlx.qhc"

.PHONY: applehelp
applehelp:
	$(SPHINXBUILD) -b applehelp $(ALLSPHINXOPTS) $(BUILDDIR)/applehelp
	@echo
	@echo "Build finished. The help book is in $(BUILDDIR)/applehelp."
	@echo "N.B. You won't be able to view it unless you put it in" \
	      "~/Library/Documentation/Help or install it in your application" \
	      "bundle."

.PHONY: devhelp
devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/mysqlx"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/mysqlx"
	@echo "# devhelp"

.PHONY: epub
epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

.PHONY: epub3
epub3:
	$(SPHINXBUILD) -b epub3 $(ALLSPHINXOPTS) $(BUILDDIR)/epub3
	@echo
	@echo "Build finished. The epub3 file is in $(BUILDDIR)/epub3."

.PHONY: latex
latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

.PHONY: latexpdf
latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: latexpdfja
latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

.PHONY: text
text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

.PHONY: man
man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

.PHONY: texinfo
texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

.PHONY: info
info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

.PHONY: gettext
gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

.PHONY: changes
changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

.PHONY: linkcheck
linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

.PHONY: doctest
doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

.PHONY: coverage
coverage:
	$(SPHINXBUILD) -b coverage $(ALLSPHINXOPTS) $(BUILDDIR)/coverage
	@echo "Testing of coverage in the sources finished, look at the " \
	      "results in $(BUILDDIR)/coverage/python.txt."

.PHONY: xml
xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

.PHONY: pseudoxml
pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

.PHONY: dummy
dummy:
	$(SPHINXBUILD) -b dummy $(ALLSPHINXOPTS) $(BUILDDIR)/dummy
	@echo
	@echo "Build finished. Dummy builder generates no files."

=== debian/changelog ===
mysql-connector-python (9.3.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - Fixes CVE-2025-30714 (closes: #1103396).

 -- Daniel Leidert <dleidert@debian.org>  Mon, 02 Jun 2025 02:01:39 +0200

## mysql-connector-python 9.4.0

=== mysqlx-connector-python/tests/requirements.txt ===
protobuf==5.29.4
dnspython==2.6.1
lz4==4.4.4
zstandard>=0.12.0,<=0.19.0

=== debian/changelog ===
mysql-connector-python (9.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sat, 20 Sep 2025 14:07:43 +0200

## mysql-connector-python 9.5.0

=== mysql-connector-python/tests/requirements.txt ===
# Copyright (c) 2023, 2025, Oracle and/or its affiliates.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2.0, as
# published by the Free Software Foundation.
#
# This program is designed to work with certain software (including
# but not limited to OpenSSL) that is licensed under separate terms,
# as designated in a particular file or component or in included license
# documentation. The authors of MySQL hereby grant you an
# additional permission to link the program and your derivative works
# with the separately licensed software that they have either included with
# the program or referenced in the documentation.
#
# Without limiting anything contained in the foregoing, this file,
# which is part of MySQL Connector/Python, is also subject to the
# Universal FOSS Exception, version 1.0, a copy of which can be found at
# http://oss.oracle.com/licenses/universal-foss-exception.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License, version 2.0, for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA

dnspython==2.6.1
gssapi==1.8.3

=== mysqlx-connector-python/tests/requirements.txt ===
# Copyright (c) 2023, 2025, Oracle and/or its affiliates.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License, version 2.0, as
# published by the Free Software Foundation.
#
# This program is designed to work with certain software (including
# but not limited to OpenSSL) that is licensed under separate terms,
# as designated in a particular file or component or in included license
# documentation. The authors of MySQL hereby grant you an
# additional permission to link the program and your derivative works
# with the separately licensed software that they have either included with
# the program or referenced in the documentation.
#
# Without limiting anything contained in the foregoing, this file,
# which is part of MySQL Connector/Python, is also subject to the
# Universal FOSS Exception, version 1.0, a copy of which can be found at
# http://oss.oracle.com/licenses/universal-foss-exception.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
# See the GNU General Public License, version 2.0, for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software Foundation, Inc.,
# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA

protobuf==5.29.4
dnspython==2.6.1
lz4==4.4.4
zstandard>=0.12.0,<=0.19.0 ; python_version < "3.14"

=== mysqlx-connector-python/docs/mysqlx/Makefile ===
--- 
+++ 
@@ -1,3 +1,31 @@
+# Copyright (c) 2017, 2025, Oracle and/or its affiliates.
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License, version 2.0, as
+# published by the Free Software Foundation.
+#
+# This program is designed to work with certain software (including
+# but not limited to OpenSSL) that is licensed under separate terms,
+# as designated in a particular file or component or in included license
+# documentation. The authors of MySQL hereby grant you an
+# additional permission to link the program and your derivative works
+# with the separately licensed software that they have either included with
+# the program or referenced in the documentation.
+#
+# Without limiting anything contained in the foregoing, this file,
+# which is part of MySQL Connector/Python, is also subject to the
+# Universal FOSS Exception, version 1.0, a copy of which can be found at
+# http://oss.oracle.com/licenses/universal-foss-exception.
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
+# See the GNU General Public License, version 2.0, for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin St, Fifth Floor, Boston, MA 02110-1301  USA
+
 # Makefile for Sphinx documentation
 #

=== debian/changelog ===
mysql-connector-python (9.5.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Daniel Leidert <dleidert@debian.org>  Sun, 26 Oct 2025 01:36:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: mysql-connector-python
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>,
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                default-mysql-server | virtual-mysql-server,
-               dh-python,
                pybuild-plugin-pyproject,
                pylint,
                python3-all,

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 PYTHON3=$(shell py3versions -r)
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_installexamples:
 	dh_installexamples -A mysql-connector-python/examples/*.py
@@ -37,8 +37,8 @@
 # as now tests/mysqldb.py:bootstrap() should invoke `mysql_install_db` +
 # start mysqld on the bootstrapped datadir - this is too much
 #ifeq (,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
-#	-for python in $(PYTHON2) $(PYTHON3); do \
-#		LIB=$$($$python -c "from distutils.command.build import build ; from distutils.core import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ;\
+#	-for python in $(PYTHON3); do \
+#		LIB=$$($$python -c "from setuptools.command.build import build ; from setuptools import Distribution ; b = build(Distribution()) ; b.finalize_options() ; print (b.build_purelib)") ;\
 #		mkdir -p $(CURDIR)/mysql_myconnpy/ ; \
 #		PYTHONPATH=$(CURDIR)/$$LIB $$python unittests.py --with-mysql=/usr/ --mysql-topdir=$(CURDIR)/mysql_myconnpy/ --verbosity=2 --bind-address=:: --host=::1 --stats ; \
 #		rm -rf $(CURDIR)/mysql_myconnpy/ ; \

=== debian/watch ===
--- 
+++ 
@@ -5,4 +5,4 @@
 # - the matched url is for the GPG key (...) so we need to mangle the filename to download the right file
 
 opts=filenamemangle=s#.*file=(.*)\&p=29#$1#,downloadurlmangle=s#.*file=(.*)\&.*#https://dev.mysql.com/get/Downloads/Connector-Python/$1# \
-  https://dev.mysql.com/downloads/connector/python/?os=src /downloads/gpg/\?file=mysql-connector-python-(.*)-src\.tar\.gz\&p=29
+  https://dev.mysql.com/downloads/connector/python/?os=src /downloads/gpg/\?file=mysql-connector-python-([\d.]+)(?:-pypi)?-src\.tar\.gz\&p=29
